List models (Gemini format)

get/v1beta/models

List the available models in the Gemini API format.

Authentication

Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.

Authorization: Bearer $OLETOKEN_API_KEY

Responses

200Models retrieved

FieldTypeRequiredDescription
modelsobject[]——
namestring——
versionstring——
displayNamestring——
descriptionstring——
inputTokenLimitinteger——
outputTokenLimitinteger——
supportedGenerationMethodsstring[]——

Example request

curl -X GET 'https://api.oletoken.ai/v1beta/models' \
  -H "Authorization: Bearer $OLETOKEN_API_KEY"